package org.xyzh.common.dto.usercenter;

import org.xyzh.common.dto.BaseDTO;
import java.util.Date;

/**
 * @description 用户浏览记录表
 * @filename TbUserBrowseRecord.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbUserBrowseRecord extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 用户ID
     */
    private String userID;
    
    /**
     * @description 浏览类型（1资源 2课程）
     */
    private Integer browseType;
    
    /**
     * @description 浏览对象ID
     */
    private String browseID;
    
    /**
     * @description 浏览时间
     */
    private Date browseTime;
    
    /**
     * @description IP地址
     */
    private String ipAddress;

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public Integer getBrowseType() {
        return browseType;
    }

    public void setBrowseType(Integer browseType) {
        this.browseType = browseType;
    }

    public String getBrowseID() {
        return browseID;
    }

    public void setBrowseID(String browseID) {
        this.browseID = browseID;
    }

    public Date getBrowseTime() {
        return browseTime;
    }

    public void setBrowseTime(Date browseTime) {
        this.browseTime = browseTime;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    @Override
    public String toString() {
        return "TbUserBrowseRecord{" +
                "id=" + getID() +
                ", userID='" + userID + '\'' +
                ", browseType=" + browseType +
                ", browseID='" + browseID + '\'' +
                ", browseTime=" + browseTime +
                ", ipAddress='" + ipAddress + '\'' +
                '}';
    }
}
